NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder Class Reference

Represents a NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder
To create a new instance of this class, use NXOpen::Features::SheetMetal::AeroSheetmetalManager::CreateAeroLighteningCutoutBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Types { TypesHole, TypesUserDefined }
 Represents the cutout type. More...
 

Public Member Functions

NXOpen::ExpressionAngle ()
 Returns the angle
Created in NX5.0.0. More...
 
bool CheckClearance ()
 Returns the check clearance
Created in NX5.0.0. More...
 
NXOpen::ExpressionClearance ()
 Returns the clearance
Created in NX5.0.0. More...
 
NXOpen::ExpressionCornerRadius ()
 Returns the corner radius
Created in NX5.0.0. More...
 
NXOpen::SectionCutoutProfile ()
 Returns the cutout profile
Created in NX5.0.0. More...
 
NXOpen::ExpressionDiameter ()
 Returns the diameter
Created in NX5.0.0. More...
 
NXOpen::ExpressionDieRadius ()
 Returns the die radius
Created in NX5.0.0. More...
 
std::vector< NXStringGetStandards ()
 Returns the standard names. More...
 
NXOpen::PointHoleCenter ()
 Returns the hole center
Created in NX5.0.0. More...
 
NXOpen::SelectFaceHoleFace ()
 Returns the hole face
Created in NX5.0.0. More...
 
NXOpen::ExpressionLength ()
 Returns the length
Created in NX5.0.0. More...
 
bool ReverseBendDirection ()
 Returns the reverse bend direction
Created in NX5.0.0. More...
 
void SetCheckClearance (bool checkClearance)
 Sets the check clearance
Created in NX5.0.0. More...
 
void SetHoleCenter (NXOpen::Point *holeCenter)
 Sets the hole center
Created in NX5.0.0. More...
 
void SetReverseBendDirection (bool reverseBendDirection)
 Sets the reverse bend direction
Created in NX5.0.0. More...
 
void SetStandardName (const NXString &standardName)
 Sets the standard name
Created in NX5.0.0. More...
 
void SetStandardName (const char *standardName)
 Sets the standard name
Created in NX5.0.0. More...
 
void SetType (NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::Types type)
 Sets the feature type
Created in NX5.0.0. More...
 
NXString StandardName ()
 Returns the standard name
Created in NX5.0.0. More...
 
NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::Types Type ()
 Returns the feature type
Created in NX5.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder
To create a new instance of this class, use NXOpen::Features::SheetMetal::AeroSheetmetalManager::CreateAeroLighteningCutoutBuilder
Default values.

Property Value

Angle.Value

45

CheckClearance

true

Clearance.Value

5 (millimeters part), 0.12 (inches part)

Diameter.Value

102 (millimeters part), 2.6 (inches part)

DieRadius.Value

8 (millimeters part), 0.2 (inches part)

Length.Value

8 (millimeters part), 0.2 (inches part)

Type

UserDefined


Created in NX5.0.0.

Member Enumeration Documentation

Represents the cutout type.

Enumerator
TypesHole 

hole

TypesUserDefined 

user defined

Member Function Documentation

NXOpen::Expression* NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::Angle ( )

Returns the angle
Created in NX5.0.0.



License requirements : None

bool NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::CheckClearance ( )

Returns the check clearance
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::Clearance ( )

Returns the clearance
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::CornerRadius ( )

Returns the corner radius
Created in NX5.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::CutoutProfile ( )

Returns the cutout profile
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::Diameter ( )

Returns the diameter
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::DieRadius ( )

Returns the die radius
Created in NX5.0.0.



License requirements : None

std::vector<NXString> NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::GetStandards ( )

Returns the standard names.

Returns

Created in NX5.0.0.

License requirements : None
NXOpen::Point* NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::HoleCenter ( )

Returns the hole center
Created in NX5.0.0.



License requirements : None

NXOpen::SelectFace* NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::HoleFace ( )

Returns the hole face
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::Length ( )

Returns the length
Created in NX5.0.0.



License requirements : None

bool NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::ReverseBendDirection ( )

Returns the reverse bend direction
Created in NX5.0.0.



License requirements : None

void NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::SetCheckClearance ( bool  checkClearance)

Sets the check clearance
Created in NX5.0.0.



License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
checkClearancecheckclearance
void NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::SetHoleCenter ( NXOpen::Point holeCenter)

Sets the hole center
Created in NX5.0.0.



License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
holeCenterholecenter
void NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::SetReverseBendDirection ( bool  reverseBendDirection)

Sets the reverse bend direction
Created in NX5.0.0.



License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
reverseBendDirectionreversebenddirection
void NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::SetStandardName ( const NXString standardName)

Sets the standard name
Created in NX5.0.0.



License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
standardNamestandardname
void NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::SetStandardName ( const char *  standardName)

Sets the standard name
Created in NX5.0.0.



License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
standardNamestandardname
void NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::SetType ( NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::Types  type)

Sets the feature type
Created in NX5.0.0.



License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
typetype
NXString NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::StandardName ( )

Returns the standard name
Created in NX5.0.0.



License requirements : None

NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::Types NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::Type ( )

Returns the feature type
Created in NX5.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.